Subject: RE: Apologies, and cont of problems compiling perl
From: [email-masked] (Todd Goodman)

28 Jan 1999 23:47:17 -0800
Message-ID: <001401be4aeb$10461170$0301a8c0.cygnus.gnu-win32@tgoodman8>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 7bit
To: "'Jeff Bergan'" <[email-masked]>, <[email-masked]>

Sorry, I forgot my changes to get around the other problems you reported
in your P.S.

For Configure to find the files it's looking for, I made the following
change:

--- Configure	Fri Jan 22 12:38:48 1999
+++ Configure.orig	Fri Jan 22 12:38:22 1999
@@ -4098,7 +4098,6 @@
 	name=\`echo \$cline | $awk "\$awkprg" | $tr -d '"'\`
 	case "\$name" in
 	*/\$wanted) echo "\$name"; exit 0;;
-	*\\\\\$wanted) echo "\$name"; exit 0;;
 	*) name='';;
 	esac;
 done;

This lets it find all the include files it is looking for (since gcc spits
out names with double backslashes).

These are the changes I made to fix the problems with Configure (not the
$d_void_sig line):

--- hints/cygwin32.sh	Fri Jan 22 12:34:18 1999
+++ hints/cygwin32.sh.orig	Fri Jul 24 00:00:20 1998
@@ -10,23 +10,21 @@
 startsh="#!$sh"
 cc='gcc2'
 ld='ld2'
-usrinc='/usr/H-i586-cygwin32/i586-cygwin32/include'
-libpth='/usr/local/lib /usr/H-i586-cygwin32/i586-cygwin32/lib
/usr/H-i586-cygwin32/lib'
+usrinc='/gnuwin32/H-i386-cygwin32/i386-cygwin32/include'
+libpth='/gnuwin32/H-i386-cygwin32/i386-cygwin32/lib
/gnuwin32/H-i386-cygwin32/lib'
 libs='-lcygwin -lm -lc -lkernel32'
-# nlink in the stat array is not useful in cygwin
-dont_use_nlink='define'
 # dynamic lib stuff
 so='dll'
 #i_dlfcn='define'
 dlsrc='dl_cygwin32.xs'
-usedl='n'
+usedl='y'
 # flag to include the perl.exe export variable translation file cw32imp.h
 # when building extension libs
 cccdlflags='-DCYGWIN32 -DDLLIMPORT '
 # flag that signals gcc2 to build exportable perl
 ccdlflags='-buildperl '
-lddlflags='-L../.. -L/usr/H-i586-cygwin32/i586-cygwin32/lib -L../../.. -L..
/../../.. -lperlexp -lcygwin'
-d_voidsig='define'
+lddlflags='-L../.. -L/gnuwin32/H-i386-cygwin32/i386-cygwin32/lib -lperlexp 
-lcygwin'
+d_voidsig='undef'
 extensions='Fcntl IO Opcode SDBM_File'
 lns='cp'
 signal_t='int'
@@ -43,10 +41,10 @@
 installscript='/usr/local/bin'

 installsitelib='/usr/local/lib/perl5/site_perl'
-libc='/usr/H-i586-cygwin32/i586-cygwin32/lib/libc.a'
+libc='/gnuwin32/H-i386-cygwin32/i386-cygwin32/lib/libc.a'

 perlpath='/usr/local/bin/perl'

 sitelib='/usr/local/lib/perl5/site_perl'
 sitelibexp='/usr/local/lib/perl5/site_perl'
-usrinc='/usr/H-i586-cygwin32/i586-cygwin32/include'
+usrinc='/gnuwin32/H-i386-cygwin32/i386-cygwin32/include'

Hope this helps,

Todd

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On
> Behalf Of Jeff Bergan
> Sent: Wednesday, January 27, 1999 5:07 PM
> To: [email-masked]
> Subject: Apologies, and cont of problems compiling perl
>
>
>
> Hi,
>
[SNIP]
> Jeff
>
> PS.  It still complains during Configure that $d_void_sig is
> "undef", and I
> have no idea if it should be, and also "sh Configure" doesn't perform
> variable substitutions on the .SH files, claiming that they
> are not there.
> I instead did "sh Makefile.SH" etc, for all the *.SH files.
>
> PPS.  This is NT/SP3, cygwin b20.1, egcs 1.1
>
> -
> For help on using this list (especially unsubscribing), send
> a message to
> "[email-masked]" with one line of text: "help".
>

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".